Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.kie.services.impl.form
Class FormProviderServiceImpl

    java.lang.Object
      org.jbpm.kie.services.impl.form.FormProviderServiceImpl

All Implemented Interfaces:
  FormProviderService

    @ApplicationScoped
    public class FormProviderServiceImpl

extends Object
implements FormProviderService

Constructor Summary
`FormProviderServiceImpl()`

Method Summary
`String` | `getFormDisplayProcess(String deploymentId, String processId)`
`String` | `getFormDisplayTask(long taskId)`
`protected org.kie.internal.task.api.ContentMarshallerContext` | `getMarshallerContext(String deploymentId, String processId)`
`protected org.kie.internal.task.api.ContentMarshallerContext` | `getMarshallerContext(Task task)`
`void` | `prepare()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FormProviderServiceImpl

    public FormProviderServiceImpl()

Method Detail

### prepare

    @PostConstruct
    public void prepare()

### getFormDisplayProcess

    public String getFormDisplayProcess(String deploymentId,
                                        String processId)

  Specified by:
    `getFormDisplayProcess` in interface `FormProviderService`

### getFormDisplayTask

    public String getFormDisplayTask(long taskId)

  Specified by:
    `getFormDisplayTask` in interface `FormProviderService`

### getMarshallerContext

    protected org.kie.internal.task.api.ContentMarshallerContext getMarshallerContext(String deploymentId,
                                                                                      String processId)

### getMarshallerContext

    protected org.kie.internal.task.api.ContentMarshallerContext getMarshallerContext(Task task)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.